Get content
Returns a single content item from your project. Use the segments query parameter to include segment-level data.
Authorizations
Path Parameters
The numeric ID of your project
The content item's identifier, one of: UUID, source ID, legacy ID
Query Parameters
The level of detail to show for segments in the response: 'none', 'partial' or 'full'
The level of detail to show for segment words in the response: 'none', 'partial' or 'full'
Response
OK
Unique identifier for the content. Can be either a UUID or an externally provided source_id
The current status of the content processing operation. This value will change as the content is processed. ready means the content is prepared and indexed, but audio generation wasn't requested (generate_audio is false). Reaching ready sends a content.ready webhook with the ready state and without media, a preparation failure sends audio.error.
draft, ready, queued, processing, processed, skipped, error The content type. Possible values are auto_segment, manual_segment or audio_upload
auto_segment, manual_segment, audio_upload The content title
1 - 500The content summary
2000The content body
100000The flag to enable title segments in audio
The flag to enable body segments in audio
The flag to enable summary audio
The flag to include title text and audio segments in summaries
The externally-provided source identifier of the content
The URL that contains the source content
The author of the content
Arbitrary tags associated with the content, used for playlist filtering
The feature image URL of the content
The arbitrary metadata associated with content
The array of audio files for the entire content
The array of video files for the entire content
The array of segments in the content
Whether the content will appear in the BeyondWords players and podcast feeds
Whether the content will appear in the BeyondWords video players and podcast video feeds
Time at which the content was published or is scheduled to be published (ISO 8601)
Whether adverts will play for this content in the BeyondWords players
The last used AI prompt for summary generation
1000Whether the summary segments will be regenerated when the text content is updated
Whether the media files will be regenerated when the text content is updated with auto_segment. Content with generate_audio set to false is always prepared and indexed again on text updates
Whether audio (and dependent video) is generated automatically for the content. Content with false is prepared and indexed without audio generation and has the ready status unless it already has audio. Not applicable to audio_upload content
The default language of the content
Time at which the object was created (ISO 8601)
Time at which the object was updated (ISO 8601)